Nvidia process not running

Unable to update tensorflow-gpu to 2.5 or above using conda command:

conda install -c anaconda tensorflow-gpu

Complete command output:

$ conda install -c anaconda tensorflow-gpu
Collecting package metadata (current_repodata.json): done
Solving environment: done

# All requested packages already installed.

Suggestions?

The anaconda repo only provides TF2.4.1 for linux (but 2.6.0 for Windows?).
https://anaconda.org/anaconda/tensorflow-gpu
Try installing it using pip.
https://www.tensorflow.org/install/gpu

Tried it already. The complete code outputs are:

  1. Remove conda’s version of TF:
    $ conda remove --name tf-gpu tensorflow

  2. Install tf-gpu==2.6 using pip:

$ pip install tensorflow==2.6
Collecting tensorflow==2.6
  Downloading tensorflow-2.6.0-cp39-cp39-manylinux2010_x86_64.whl (458.4 MB)
     |████████████████████████████████| 458.4 MB 3.2 kB/s
Collecting protobuf>=3.9.2
  Downloading protobuf-3.19.1-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
     |████████████████████████████████| 1.1 MB 156.4 MB/s
Collecting wrapt~=1.12.1
  Downloading wrapt-1.12.1.tar.gz (27 kB)
Collecting tensorboard~=2.6
  Downloading tensorboard-2.7.0-py3-none-any.whl (5.8 MB)
     |████████████████████████████████| 5.8 MB 130.1 MB/s
Collecting tensorflow-estimator~=2.6
  Downloading tensorflow_estimator-2.7.0-py2.py3-none-any.whl (463 kB)
     |████████████████████████████████| 463 kB 61.9 MB/s
Collecting gast==0.4.0
  Downloading gast-0.4.0-py3-none-any.whl (9.8 kB)
Collecting typing-extensions~=3.7.4
  Downloading typing_extensions-3.7.4.3-py3-none-any.whl (22 kB)
Collecting grpcio<2.0,>=1.37.0
  Downloading grpcio-1.43.0-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (4.1 MB)
     |████████████████████████████████| 4.1 MB 114.2 MB/s
Collecting numpy~=1.19.2
  Downloading numpy-1.19.5-cp39-cp39-manylinux2010_x86_64.whl (14.9 MB)
     |████████████████████████████████| 14.9 MB 104.4 MB/s
Collecting keras-preprocessing~=1.1.2
  Downloading Keras_Preprocessing-1.1.2-py2.py3-none-any.whl (42 kB)
     |████████████████████████████████| 42 kB 185 kB/s
Collecting termcolor~=1.1.0
  Downloading termcolor-1.1.0.tar.gz (3.9 kB)
Collecting astunparse~=1.6.3
  Downloading astunparse-1.6.3-py2.py3-none-any.whl (12 kB)
Collecting keras~=2.6
  Downloading keras-2.7.0-py2.py3-none-any.whl (1.3 MB)
     |████████████████████████████████| 1.3 MB 128.7 MB/s
Requirement already satisfied: wheel~=0.35 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow==2.6) (0.37.0)
Collecting absl-py~=0.10
  Downloading absl_py-0.15.0-py3-none-any.whl (132 kB)
     |████████████████████████████████| 132 kB 123.1 MB/s
Collecting clang~=5.0
  Downloading clang-5.0.tar.gz (30 kB)
Collecting flatbuffers~=1.12.0
  Downloading flatbuffers-1.12-py2.py3-none-any.whl (15 kB)
Collecting six~=1.15.0
  Downloading six-1.15.0-py2.py3-none-any.whl (10 kB)
Collecting h5py~=3.1.0
  Downloading h5py-3.1.0-cp39-cp39-manylinux1_x86_64.whl (4.4 MB)
     |████████████████████████████████| 4.4 MB 121.0 MB/s
Collecting opt-einsum~=3.3.0
  Downloading opt_einsum-3.3.0-py3-none-any.whl (65 kB)
     |████████████████████████████████| 65 kB 442 kB/s
Collecting google-pasta~=0.2
  Downloading google_pasta-0.2.0-py3-none-any.whl (57 kB)
     |████████████████████████████████| 57 kB 394 kB/s
Collecting google-auth<3,>=1.6.3
  Downloading google_auth-2.3.3-py2.py3-none-any.whl (155 kB)
     |████████████████████████████████| 155 kB 119.3 MB/s
Requirement already satisfied: requests<3,>=2.21.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorboard~=2.6->tensorflow==2.6) (2.26.0)
Collecting werkzeug>=0.11.15
  Downloading Werkzeug-2.0.2-py3-none-any.whl (288 kB)
     |████████████████████████████████| 288 kB 126.2 MB/s
Collecting tensorboard-data-server<0.7.0,>=0.6.0
  Downloading tensorboard_data_server-0.6.1-py3-none-manylinux2010_x86_64.whl (4.9 MB)
     |████████████████████████████████| 4.9 MB 51.8 MB/s
Collecting markdown>=2.6.8
  Downloading Markdown-3.3.6-py3-none-any.whl (97 kB)
     |████████████████████████████████| 97 kB 601 kB/s
Collecting tensorboard-plugin-wit>=1.6.0
  Downloading tensorboard_plugin_wit-1.8.0-py3-none-any.whl (781 kB)
     |████████████████████████████████| 781 kB 28.5 MB/s
Requirement already satisfied: setuptools>=41.0.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorboard~=2.6->tensorflow==2.6) (58.0.4)
Collecting google-auth-oauthlib<0.5,>=0.4.1
  Downloading google_auth_oauthlib-0.4.6-py2.py3-none-any.whl (18 kB)
Collecting rsa<5,>=3.1.4
  Downloading rsa-4.8-py3-none-any.whl (39 kB)
Collecting pyasn1-modules>=0.2.1
  Downloading pyasn1_modules-0.2.8-py2.py3-none-any.whl (155 kB)
     |████████████████████████████████| 155 kB 131.9 MB/s
Collecting cachetools<5.0,>=2.0.0
  Downloading cachetools-4.2.4-py3-none-any.whl (10 kB)
Collecting requests-oauthlib>=0.7.0
  Downloading requests_oauthlib-1.3.0-py2.py3-none-any.whl (23 kB)
Requirement already satisfied: importlib-metadata>=4.4 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from markdown>=2.6.8->tensorboard~=2.6->tensorflow==2.6) (4.8.2)
Requirement already satisfied: zipp>=0.5 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from importlib-metadata>=4.4->markdown>=2.6.8->tensorboard~=2.6->tensorflow==2.6) (3.6.0)
Collecting pyasn1<0.5.0,>=0.4.6
  Downloading pyasn1-0.4.8-py2.py3-none-any.whl (77 kB)
     |████████████████████████████████| 77 kB 783 kB/s
Requirement already satisfied: urllib3<1.27,>=1.21.1 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from requests<3,>=2.21.0->tensorboard~=2.6->tensorflow==2.6) (1.26.7)
Requirement already satisfied: charset-normalizer~=2.0.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from requests<3,>=2.21.0->tensorboard~=2.6->tensorflow==2.6) (2.0.4)
Requirement already satisfied: idna<4,>=2.5 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from requests<3,>=2.21.0->tensorboard~=2.6->tensorflow==2.6) (3.3)
Requirement already satisfied: certifi>=2017.4.17 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from requests<3,>=2.21.0->tensorboard~=2.6->tensorflow==2.6) (2021.10.8)
Collecting oauthlib>=3.0.0
  Downloading oauthlib-3.1.1-py2.py3-none-any.whl (146 kB)
     |████████████████████████████████| 146 kB 108.5 MB/s
Building wheels for collected packages: clang, termcolor, wrapt
  Building wheel for clang (setup.py) ... done
  Created wheel for clang: filename=clang-5.0-py3-none-any.whl size=30692 sha256=b81a10951ab3d0ec20e3c2c230c4050e19c9e126e43925716e4a5630bb3a5217
  Stored in directory: /home/arjun/.cache/pip/wheels/3a/ce/7a/27094f689461801c934296d07078773603663dfcaca63bb064
  Building wheel for termcolor (setup.py) ... done
  Created wheel for termcolor: filename=termcolor-1.1.0-py3-none-any.whl size=4847 sha256=073ccb3317333cbfe5b966fcb7845392d79b1598df7f35a363a37332b5bd6cad
  Stored in directory: /home/arjun/.cache/pip/wheels/b6/0d/90/0d1bbd99855f99cb2f6c2e5ff96f8023fad8ec367695f7d72d
  Building wheel for wrapt (setup.py) ... done
  Created wheel for wrapt: filename=wrapt-1.12.1-cp39-cp39-linux_x86_64.whl size=36880 sha256=4447c59dec9fabcff1c3208ba5b70de4c754864a01a7cb0803122c11022522a9
  Stored in directory: /home/arjun/.cache/pip/wheels/98/23/68/efe259aaca055e93b08e74fbe512819c69a2155c11ba3c0f10
Successfully built clang termcolor wrapt
Installing collected packages: pyasn1, six, rsa, pyasn1-modules, oauthlib, cachetools, requests-oauthlib, google-auth, werkzeug, tensorboard-plugin-wit, tensorboard-data-server, protobuf, numpy, markdown, grpcio, google-auth-oauthlib, absl-py, wrapt, typing-extensions, termcolor, tensorflow-estimator, tensorboard, opt-einsum, keras-preprocessing, keras, h5py, google-pasta, gast, flatbuffers, clang, astunparse, tensorflow
  Attempting uninstall: six
    Found existing installation: six 1.16.0
    Uninstalling six-1.16.0:
      Successfully uninstalled six-1.16.0
  Attempting uninstall: numpy
    Found existing installation: numpy 1.21.2
    Uninstalling numpy-1.21.2:
      Successfully uninstalled numpy-1.21.2
ERROR: pip's dependency resolver does not currently take into account all the packages that are installed. This behaviour is the source of the following dependency conflicts.
daal4py 2021.4.0 requires daal==2021.3.0, which is not installed.
Successfully installed absl-py-0.15.0 astunparse-1.6.3 cachetools-4.2.4 clang-5.0 flatbuffers-1.12 gast-0.4.0 google-auth-2.3.3 google-auth-oauthlib-0.4.6 google-pasta-0.2.0 grpcio-1.43.0 h5py-3.1.0 keras-2.7.0 keras-preprocessing-1.1.2 markdown-3.3.6 numpy-1.19.5 oauthlib-3.1.1 opt-einsum-3.3.0 protobuf-3.19.1 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-oauthlib-1.3.0 rsa-4.8 six-1.15.0 tensorboard-2.7.0 tensorboard-data-server-0.6.1 tensorboard-plugin-wit-1.8.0 tensorflow-2.6.0 tensorflow-estimator-2.7.0 termcolor-1.1.0 typing-extensions-3.7.4.3 werkzeug-2.0.2 wrapt-1.12.1
  1. Upgrade tf-gpu using pip:
$ pip install --upgrade tensorflow-gpu
Collecting tensorflow-gpu
  Downloading tensorflow_gpu-2.7.0-cp39-cp39-manylinux2010_x86_64.whl (489.7 MB                                                                         )
     |████████████████████████████████| 489.7 MB 3.8 kB/s
Requirement already satisfied: flatbuffers<3.0,>=1.12 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (1.12)
Requirement already satisfied: grpcio<2.0,>=1.24.3 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (1.43.0)
Requirement already satisfied: typing-extensions>=3.6.6 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (3.7.4.3)
Collecting libclang>=9.0.1
  Downloading libclang-12.0.0-py2.py3-none-manylinux1_x86_64.whl (13.4 MB)
     |████████████████████████████████| 13.4 MB 93.7 MB/s
Requirement already satisfied: h5py>=2.9.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (3.1.0)
Requirement already satisfied: astunparse>=1.6.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (1.6.3)
Requirement already satisfied: opt-einsum>=2.3.2 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (3.3.0)
Requirement already satisfied: keras<2.8,>=2.7.0rc0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (2.7.0)
Requirement already satisfied: google-pasta>=0.1.1 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (0.2.0)
Requirement already satisfied: six>=1.12.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (1.15.0)
Requirement already satisfied: protobuf>=3.9.2 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (3.19.1)
Requirement already satisfied: keras-preprocessing>=1.1.1 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (1.1.2)
Requirement already satisfied: tensorflow-estimator<2.8,~=2.7.0rc0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (2.7.0)
Requirement already satisfied: termcolor>=1.1.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (1.1.0)
Requirement already satisfied: numpy>=1.14.5 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (1.19.5)
Requirement already satisfied: absl-py>=0.4.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (0.15.0)
Requirement already satisfied: tensorboard~=2.6 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (2.7.0)
Requirement already satisfied: wrapt>=1.11.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (1.12.1)
Requirement already satisfied: gast<0.5.0,>=0.2.1 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (0.4.0)
Collecting tensorflow-io-gcs-filesystem>=0.21.0
  Downloading tensorflow_io_gcs_filesystem-0.23.1-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (2.1 MB)
     |████████████████████████████████| 2.1 MB 152.5 MB/s
Requirement already satisfied: wheel<1.0,>=0.32.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorflow-gpu) (0.37.0)
Requirement already satisfied: markdown>=2.6.8 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorboard~=2.6->tensorflow-gpu) (3.3.6)
Requirement already satisfied: tensorboard-plugin-wit>=1.6.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorboard~=2.6->tensorflow-gpu) (1.8.0)
Requirement already satisfied: google-auth-oauthlib<0.5,>=0.4.1 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorboard~=2.6->tensorflow-gpu) (0.4.6)
Requirement already satisfied: google-auth<3,>=1.6.3 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorboard~=2.6->tensorflow-gpu) (2.3.3)
Requirement already satisfied: werkzeug>=0.11.15 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorboard~=2.6->tensorflow-gpu) (2.0.2)
Requirement already satisfied: setuptools>=41.0.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorboard~=2.6->tensorflow-gpu) (58.0.4)
Requirement already satisfied: tensorboard-data-server<0.7.0,>=0.6.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorboard~=2.6->tensorflow-gpu) (0.6.1)
Requirement already satisfied: requests<3,>=2.21.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from tensorboard~=2.6->tensorflow-gpu) (2.26.0)
Requirement already satisfied: cachetools<5.0,>=2.0.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from google-auth<3,>=1.6.3->tensorboard~=2.6->tensorflow-gpu) (4.2.4)
Requirement already satisfied: pyasn1-modules>=0.2.1 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from google-auth<3,>=1.6.3->tensorboard~=2.6->tensorflow-gpu) (0.2.8)
Requirement already satisfied: rsa<5,>=3.1.4 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from google-auth<3,>=1.6.3->tensorboard~=2.6->tensorflow-gpu) (4.8)
Requirement already satisfied: requests-oauthlib>=0.7.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from google-auth-oauthlib<0.5,>=0.4.1->tensorboard~=2.6->tensorflow-gpu) (1.3.0)
Requirement already satisfied: importlib-metadata>=4.4 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from markdown>=2.6.8->tensorboard~=2.6->tensorflow-gpu) (4.8.2)
Requirement already satisfied: zipp>=0.5 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from importlib-metadata>=4.4->markdown>=2.6.8->tensorboard~=2.6->tensorflow-gpu) (3.6.0)
Requirement already satisfied: pyasn1<0.5.0,>=0.4.6 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from pyasn1-modules>=0.2.1->google-auth<3,>=1.6.3->tensorboard~=2.6->tensorflow-gpu) (0.4.8)
Requirement already satisfied: certifi>=2017.4.17 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from requests<3,>=2.21.0->tensorboard~=2.6->tensorflow-gpu) (2021.10.8)
Requirement already satisfied: idna<4,>=2.5 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from requests<3,>=2.21.0->tensorboard~=2.6->tensorflow-gpu) (3.3)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from requests<3,>=2.21.0->tensorboard~=2.6->tensorflow-gpu) (1.26.7)
Requirement already satisfied: charset-normalizer~=2.0.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from requests<3,>=2.21.0->tensorboard~=2.6->tensorflow-gpu) (2.0.4)
Requirement already satisfied: oauthlib>=3.0.0 in ./anaconda3/envs/tf-gpu/lib/python3.9/site-packages (from requests-oauthlib>=0.7.0->google-auth-oauthlib<0.5,>=0.4.1->tensorboard~=2.6->tensorflow-gpu) (3.1.1)
Installing collected packages: tensorflow-io-gcs-filesystem, libclang, tensorflow-gpu
Successfully installed libclang-12.0.0 tensorflow-gpu-2.7.0 tensorflow-io-gcs-filesystem-0.23.1

But now, the TF is not detecting the GPU which it was detecting before with conda:

import tensorflow as tf
import tensorflow
from tensorflow import keras

print(f"TF version: {tf.__version__}")
# TF version: 2.7.0

# Check GPU availibility-
gpu_devices = tf.config.list_physical_devices('GPU')
# print(f"GPU: {gpu_devices}")

if gpu_devices:
    print(f"GPU: {gpu_devices}")
    details = tf.config.experimental.get_device_details(gpu_devices[0])
    print(f"GPU details: {details.get('device_name', 'Unknown GPU')}")
else:
    print("No GPU found")
# No GPU found

2021-12-17 14:07:54.058061: I tensorflow/stream_executor/cuda/cuda_gpu_executor.cc:939] successful NUMA node read from SysFS had negative value (-1), but there must be at least one NUMA node, so returning NUMA node zero
2021-12-17 14:07:54.079536: W tensorflow/stream_executor/platform/default/dso_loader.cc:64] Could not load dynamic library 'libcudnn.so.8'; dlerror: libcudnn.so.8: cannot open shared object file: No such file or directory
2021-12-17 14:07:54.079546: W tensorflow/core/common_runtime/gpu/gpu_device.cc:1850] Cannot dlopen some GPU libraries. Please make sure the missing libraries mentioned above are installed properly if you would like to use GPU. Follow the guide at https://www.tensorflow.org/install/gpu for how to download and setup the required libraries for your platform.
Skipping registering GPU devices...

print("GPUs: ", len(tf.config.experimental.list_physical_devices('GPU')))
# GPUs:  0

Thanks

libcudnn.so.8: cannot open shared object file: No such file or directory

Conda auto-installs cudnn, with pip you’ll have to do this yourself.

I have tried installing it according to this tutorial. I have downloaded cudnn-linux-x86_64-8.3.1.22_cuda11.5-archive from here.

The steps followed according to the tutorial are:

Navigate to your <cudnnpath> directory containing the cuDNN tar file.
Unzip the cuDNN package.

$ tar -xvf cudnn-linux-x86_64-8.x.x.x_cudaX.Y-archive.tar.xz

Copy the following files into the CUDA toolkit directory.
 $ sudo cp cudnn-*-archive/include/cudnn*.h /usr/local/cuda/include 
    $ sudo cp -P cudnn-*-archive/lib/libcudnn* /usr/local/cuda/lib64 
    $ sudo chmod a+r /usr/local/cuda/include/cudnn*.h /usr/local/cuda/lib64/libcudnn*

For sanity check that it’s installed, I am using the command:

$ sudo find / -iname "libcudnn*"
[sudo] password for arjun:
/usr/local/cuda/lib64/libcudnn_cnn_train.so.8
/usr/local/cuda/lib64/libcudnn_adv_train.so
/usr/local/cuda/lib64/libcudnn_cnn_train.so.8.3.1
/usr/local/cuda/lib64/libcudnn_adv_infer.so.8
/usr/local/cuda/lib64/libcudnn_ops_train.so.8
/usr/local/cuda/lib64/libcudnn_adv_infer_static.a
/usr/local/cuda/lib64/libcudnn_cnn_infer.so.8.3.1
/usr/local/cuda/lib64/libcudnn_adv_train.so.8
/usr/local/cuda/lib64/libcudnn_adv_train.so.8.3.1
/usr/local/cuda/lib64/libcudnn_ops_train.so.8.3.1
/usr/local/cuda/lib64/libcudnn.so.8
/usr/local/cuda/lib64/libcudnn.so
/usr/local/cuda/lib64/libcudnn_cnn_infer_static.a
/usr/local/cuda/lib64/libcudnn_ops_infer.so
/usr/local/cuda/lib64/libcudnn.so.8.3.1
/usr/local/cuda/lib64/libcudnn_ops_train.so
/usr/local/cuda/lib64/libcudnn_ops_train_static_v8.a
/usr/local/cuda/lib64/libcudnn_adv_train_static_v8.a
/usr/local/cuda/lib64/libcudnn_ops_infer_static.a
/usr/local/cuda/lib64/libcudnn_ops_infer.so.8.3.1
/usr/local/cuda/lib64/libcudnn_cnn_train_static_v8.a
/usr/local/cuda/lib64/libcudnn_adv_infer_static_v8.a
/usr/local/cuda/lib64/libcudnn_cnn_train.so
/usr/local/cuda/lib64/libcudnn_cnn_infer.so
/usr/local/cuda/lib64/libcudnn_ops_infer.so.8
/usr/local/cuda/lib64/libcudnn_cnn_infer.so.8
/usr/local/cuda/lib64/libcudnn_adv_train_static.a
/usr/local/cuda/lib64/libcudnn_cnn_train_static.a
/usr/local/cuda/lib64/libcudnn_adv_infer.so
/usr/local/cuda/lib64/libcudnn_adv_infer.so.8.3.1
/usr/local/cuda/lib64/libcudnn_ops_infer_static_v8.a
/usr/local/cuda/lib64/libcudnn_cnn_infer_static_v8.a
/usr/local/cuda/lib64/libcudnn_ops_train_static.a

This shows that libcudnn.so.8 is installed in the location: /usr/local/cuda/lib64/libcudnn.so.8

Rebooted the GPU server. But TF is still not detecting GPU card.

Why is TensorFlow2 not able to locate libcudnn.so.8 which is available in /usr/local/cuda/lib64/libcudnn.so.8?

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.